PUT
/email-templates/:id/Update email template
You can update an existing email template.
| Attributes | Type | Required | Description |
|---|---|---|---|
| id | integer | yes | A unique identifier for an email template automatically generated by User.com. |
| content | string | yes | A content of your email template (HTML can be used inside). |
| desc | string | yes | A description of your email template. |
| name | string | yes | An email template name. |
Request
- CURL
- JavaScript
- PHP
- Python
curl -X PUT -H "Authorization: Token <your_64_char_api_key>"
-H "Accept: */*; version=2" -H "Content-Type: application/json" -d '{
"name":"Test template Updated",
"content":"\<body>\<p>My test email template has been updated\</p>\</body>",
"desc":"This is updated email template"
}' "https://<your_app_subdomain>.user.com/api/public/email-templates/:id/"
var data = JSON.stringify({
"name": "Test template Updated",
"content": "\<body>\<p>My test email template has been updated\</p>\</body>",
"desc": "This is updated email template"
});
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open("PUT", "https://<your_app_subdomain>.user.com/api/public/email-templates/:id/");
xhr.setRequestHeader("authorization", "Token <your_64_char_api_key>");
xhr.setRequestHeader("accept", "*/*; version=2");
xhr.setRequestHeader("content-type", "application/json");
xhr.send(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/email-templates/:id/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => "{\r\n \"name\":\"Test template Updated\",\r\n \"content\":\"\<body>\<p>My test email template has been updated\</p>\</body>\",\r\n \"desc\":\"This is updated email template\"\r\n}",
CURLOPT_HTTPHEADER => array(
"Accept: */*; version=2",
"authorization: Token <your_64_char_api_key>",
"content-type: application/json"
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import http.client
conn = http.client.HTTPSConnection("<your_app_subdomain>.user.com")
payload = "{\r\n\t\"name\":\"Test template Updated\",\r\n\t\"content\":\"\<body>\<p>My test email template has been updated\</p>\</body>\",\r\n\t\"desc\":\"This is updated email template\"\r\n}"
headers = {
'authorization': "Token <your_64_char_api_key>",
'Accept': "*/*; version=2",
'content-type': "application/json"
}
conn.request("PUT", "/api/public/email-templates/:id/", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
Response
{
"id": 213,
"name": "Test template Updated",
"desc": "This is updated email template",
"created_at": "2016-09-19T09:08:53.125485Z",
"updated_at": "2016-09-19T10:25:43.460763Z",
"content": "\<body>\<p>My test email template has been updated\</p>\</body>",
"subject": "Test template subject"
}